## crccheck 1.0

=== debian/changelog ===
crccheck (1.0-3) unstable; urgency=medium

  * Re-upload to unstable, using the right version from experimental, to fix
    a mistake in the last upload.

 -- Marcos Talau <marcos@talau.info>  Sun, 12 Dec 2021 14:02:29 -0300

crccheck (1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Marcos Talau <marcos@talau.info>  Sun, 12 Dec 2021 00:07:30 -0300

crccheck (1.0-1) experimental; urgency=medium

  [ Marcos Talau ]
  * Initial release (Closes: #998614).

  [ Helmut Grohne ]
  * debian/docs
  * debian/source/*

 -- Marcos Talau <marcos@talau.info>  Tue, 07 Dec 2021 22:47:24 -0300
