## crccheck 1.3.0

=== debian/changelog ===
crccheck (1.3.0-1) unstable; urgency=medium

  * New upstream version "1.3.0".
  * Change upstream URLs from SourceForge to GitHub.
  * debian/control: Bump Standards-Version to "4.6.2".
  * debian/copyright:
    - Change licence of Upstream and Packaging from GPL-3+ to MIT.
    - Update copyright years.
  * debian/patches/01_nose_to_unittest.patch: Remove, upstream are using it.

 -- Marcos Talau <talau@debian.org>  Wed, 06 Sep 2023 01:58:30 +0530

crccheck (1.0-5) unstable; urgency=medium

  * Update Maintainer mail.
  * Migration of tests from nose to unittest. Consequently:
    - debian/control: Remove python3-nose from Build-Depends.
    - debian/patches/01_nose_to_unittest.patch: New. Patch to migrate.
    - Closes: #1018331.

 -- Marcos Talau <talau@debian.org>  Mon, 12 Sep 2022 13:04:15 -0300

crccheck (1.0-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.1, no changes.
  * debian/copyright: Update packaging copyright years.

 -- Marcos Talau <marcos@talau.info>  Fri, 10 Jun 2022 16:03:06 -0300
