=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: crccheck
 Section: python
 Priority: optional
-Maintainer: Marcos Talau <marcos@talau.info>
+Maintainer: Marcos Talau <talau@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-nose,
                python3-setuptools
-Standards-Version: 4.6.0
-Homepage: https://sourceforge.net/projects/crccheck
+Standards-Version: 4.6.2
+Homepage: https://github.com/MartinScharrer/crccheck
 Vcs-Browser: https://salsa.debian.org/debian/crccheck
 Vcs-Git: https://salsa.debian.org/debian/crccheck.git
 Testsuite: autopkgtest-pkg-python
